package math.games;

import math.utils.ArrayUtil;
import math.utils.Util;

public class Game02 {
    public static void main(String[] args) {
        double[] arr = {6, 5, 5, 4};
        GameMatrix gm = new GameMatrix(arr, 2);
        Cell maximin = gm.maximin();
        Util.print("macierz gry: ");
        ArrayUtil.print(arr);
        Util.print("maximin: " + maximin);
        Cell minimax = gm.minimax();
        Util.print("minimax: " + minimax);
        Util.print("ma siodło: " + gm.hasSaddle());
        Util.print("siodło: " + gm.getSaddle());
    }
}
